Bug 835656 - [abrt] rekonq-0.9.2-1.fc17: g_system_thread_new: Process /usr/bin/rekonq was killed by signal 5 (SIGTRAP)
[abrt] rekonq-0.9.2-1.fc17: g_system_thread_new: Process /usr/bin/rekonq was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:52c4a8f52321e177b7c087f4bc1...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 14:09 EDT by Brallan Jesús Aguilar Rivera
Modified: 2013-08-01 03:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:46:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.03 KB, text/plain)
2012-06-26 14:09 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: event_log (4.70 KB, text/plain)
2012-06-26 14:09 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: backtrace (79.16 KB, text/plain)
2012-06-26 14:09 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: maps (154.47 KB, text/plain)
2012-06-26 14:09 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: dso_list (19.08 KB, text/plain)
2012-06-26 14:09 EDT, Brallan Jesús Aguilar Rivera
no flags Details
File: build_ids (7.45 KB, text/plain)
2012-06-26 14:09 EDT, Brallan Jesús Aguilar Rivera
no flags Details

  None (edit)
Description Brallan Jesús Aguilar Rivera 2012-06-26 14:09:30 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/rekonq
comment:        I was openning a new tab and the app crashed
crash_function: g_system_thread_new
executable:     /usr/bin/rekonq
kernel:         3.4.3-1.fc17.i686
pid:            2001
pwd:            /mnt/Windows/Users/Brallan J. Aguilar/Documents
time:           Tue 26 Jun 2012 11:58:25 AM CST
uid:            1000
username:       brallan
xsession_errors: (rekonq:2001): GLib-ERROR **: file gthread-posix.c: line 1128 (g_system_thread_new): error 'Permission denied' during 'pthread_create'

backtrace:      Text file, 81060 bytes
build_ids:      Text file, 7626 bytes
core_backtrace: Text file, 6171 bytes
dso_list:       Text file, 19541 bytes
event_log:      Text file, 4815 bytes
maps:           Text file, 158179 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/brallan/1

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1082
:HOSTNAME=brallan-satellite
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/brallan/.gtkrc-2.0:/home/brallan/.gtkrc-2.0-kde4:/home/brallan/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=brallan
:XCURSOR_SIZE=0
:SSH_AUTH_SOCK=/tmp/ssh-ewfjPOLR1041/agent.1041
:MAIL=/var/spool/mail/brallan
:DESKTOP_SESSION=default
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/brallan/.local/bin:/home/brallan/bin
:PWD=/home/brallan
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/brallan
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=ComixCursors-White-Regular-Slim
:LOGNAME=brallan
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-XUCq7hH7Rq,guid=8890543d5e6ea69567600d8e00000039
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/brallan
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/brallan/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:XAUTHORITY=/tmp/kde-brallan/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1159,unix/unix:/tmp/.ICE-unix/1159
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/brallan/.gtkrc:/home/brallan/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=brallan-satellite;1340690044;13830;1194_TIME1813345

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 14964                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       14964                14964                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[17770]
:pos:	0
:flags:	00
:1:/home/brallan/.xsession-errors
:pos:	51118
:flags:	0100001
:2:/home/brallan/.xsession-errors
:pos:	51118
:flags:	0100001
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[30432]
:pos:	0
:flags:	02004000
:5:socket:[31694]
:pos:	0
:flags:	02004002
:6:pipe:[30432]
:pos:	0
:flags:	02004001
:7:socket:[30433]
:pos:	0
:flags:	02004002
:8:socket:[30434]
:pos:	0
:flags:	02000002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[31708]
:pos:	0
:flags:	02004002
:11:socket:[31729]
:pos:	0
:flags:	02
:12:anon_inode:inotify
:pos:	0
:flags:	02000000
:13:/var/tmp/kdecache-brallan/ksycoca4
:pos:	0
:flags:	02100000
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:/var/tmp/kdecache-brallan/ksycoca4
:pos:	0
:flags:	02100000
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:/var/tmp/kdecache-brallan/ksycoca4
:pos:	0
:flags:	02100000
:20:/usr/share/kde4/apps/rekonq/pics/loading.mng
:pos:	3332
:flags:	02100000
:21:socket:[53343]
:pos:	0
:flags:	04002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:25:socket:[55331]
:pos:	0
:flags:	04002
:26:socket:[52626]
:pos:	0
:flags:	04002
:27:socket:[55315]
:pos:	0
:flags:	04002
:28:socket:[52591]
:pos:	0
:flags:	04002
:29:socket:[52599]
:pos:	0
:flags:	04002
:30:/home/brallan/.mozilla/firefox/5yu5hxq8.default/cert8.db
:pos:	98304
:flags:	02000000
:31:socket:[55330]
:pos:	0
:flags:	04002
:32:socket:[53481]
:pos:	0
:flags:	04002
:33:socket:[55360]
:pos:	0
:flags:	04002
:34:socket:[55940]
:pos:	0
:flags:	04002
:35:socket:[55355]
:pos:	0
:flags:	04002
:36:socket:[53452]
:pos:	0
:flags:	04002
:37:socket:[55955]
:pos:	0
:flags:	04002
:38:socket:[53511]
:pos:	0
:flags:	02004002
:39:socket:[55204]
:pos:	0
:flags:	04002
:40:socket:[55199]
:pos:	0
:flags:	04002
:41:socket:[55230]
:pos:	0
:flags:	04002
:42:socket:[55985]
:pos:	0
:flags:	04002
:43:socket:[55240]
:pos:	0
:flags:	04002
:44:socket:[55239]
:pos:	0
:flags:	04002
:45:socket:[56010]
:pos:	0
:flags:	04002
:46:socket:[56046]
:pos:	0
:flags:	04002
:47:socket:[56326]
:pos:	0
:flags:	04002
:48:/home/brallan/.mozilla/firefox/5yu5hxq8.default/key3.db
:pos:	8192
:flags:	02000000

smolt_data:
:
:
:General
:=================================
:UUID: 435412ea-e7d4-47aa-a592-b0d3afdf1434
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4389.04
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4400  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 1887
:System Swap: 475
:Vendor: TOSHIBA
:System: Satellite L515 PSLQ0U-02HLM8
:Form factor: Notebook
:Kernel: 3.4.3-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33078:4473:65310) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10818:4473:65297) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4473:65297) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10521:4473:65310) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10568:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4473:65310) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4473:65310) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4473:65310) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10548:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4473:65310) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 12974593 7189576 7059715 3252224 2875278 2875278
:/dev/sda2 WITHHELD fuseblk 4096 4096 47551694 9614821 9614821 38819732 38513035 38513035
:

var_log_messages:
:Jun 25 15:09:01 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 25 15:09:02 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 25 23:54:08 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 25 23:54:08 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 26 11:55:01 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 26 11:58:24 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 26 11:58:24 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 26 11:58:25 brallan-satellite setroubleshoot: SELinux is preventing /usr/bin/rekonq from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 25b8ecd5-d082-40fd-908e-56a4539c09e2
:Jun 26 11:58:33 brallan-satellite abrt[2936]: Saved core dump of pid 2001 (/usr/bin/rekonq) to /var/spool/abrt/ccpp-2012-06-26-11:58:25-2001 (315744256 bytes)
Comment 1 Brallan Jesús Aguilar Rivera 2012-06-26 14:09:34 EDT
Created attachment 594554 [details]
File: core_backtrace
Comment 2 Brallan Jesús Aguilar Rivera 2012-06-26 14:09:36 EDT
Created attachment 594555 [details]
File: event_log
Comment 3 Brallan Jesús Aguilar Rivera 2012-06-26 14:09:38 EDT
Created attachment 594556 [details]
File: backtrace
Comment 4 Brallan Jesús Aguilar Rivera 2012-06-26 14:09:42 EDT
Created attachment 594557 [details]
File: maps
Comment 5 Brallan Jesús Aguilar Rivera 2012-06-26 14:09:44 EDT
Created attachment 594558 [details]
File: dso_list
Comment 6 Brallan Jesús Aguilar Rivera 2012-06-26 14:09:45 EDT
Created attachment 594559 [details]
File: build_ids
Comment 7 Rex Dieter 2012-06-26 14:13:55 EDT
Looks like it crashed deep in gstreamer code.
Comment 8 Eric Paris 2013-06-07 13:10:32 EDT
If it helps to troubleshoot, it seems likely (given the /var/log/messages output) that a number of calls to mmap() failed.  Maybe the library is not correctly handling and aporting if mmap returns MAP_FAILED
Comment 9 Rex Dieter 2013-06-07 13:46:34 EDT
Or system just ran out of memory, and then crash-n-burn occurs.
Comment 10 Fedora End Of Life 2013-07-03 22:13:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 03:46:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.